Summary:	Creates an initial ramdisk image for preloading modules.
Name:		mkbootdisk
Version:	1.2.5
Release:	1.3.1
Copyright:	GPL
Group:		System Environment/Utilities
Source:		mkbootdisk-1.2.5.tar.gz
Patch0:		mkbootdisk-1.2.5-makefile.patch
Patch1:		mkbootdisk-1.2.5-message-gd-3.diff
ExclusiveOs:	Linux
Requires:	mkinitrd
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system.  The created boot disk will look for the
root filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%files
  %defattr(-,root,root)
  %attr(700,root,root) /sbin/mkbootdisk
  %doc %{_mandir}/man8/mkbootdisk.8.gz


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  CFLAGS="$RPM_OPT_FLAGS" make BUILDROOT=$RPM_BUILD_ROOT install
  gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man8/mkbootdisk.8

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 18 2003 Nicholas DeClario <nick@guardiandigital.com>
- Release 1.3.1
  - Updated boot message text

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.5, Release 1.5.2
  - 1.2 -> 1.5 verbage in message.
  - Ryan-ize spec.

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.5, Release 1.5.1
  - Update patches.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Fri May 03 2002 Nicholas DeClario <nick@guardiandigital.com>
- Release 1.2.2
  - Updated message patch to reflect 1.2 version number

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.
  - Fix %clean stanza.

* Tue Sep 24 2001 Nick DeClario <nick@guardiandigital.com>
- Version 1.2.5, Release 1.1.1
  - Added boot message patch (mkbootdisk-1.2.5-message.patch)

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.5, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Mon Jul 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to mkbootdisk for Guardian
	Digital Linux Lockbox
